Option Explicit Call Main Sub Main Dim nValue, bContinue Dim strObject, arrPoint, arrPlane Dim arrTranslation, arrPoint1, arrPoint2 nValue = Rhino.GetInteger("Starting value") If IsNull(nValue) Then Exit Sub bContinue = True While (bContinue) arrPoint = Rhino.GetPoint("Pick a point") If IsArray(arrPoint) Then Rhino.AddPoint arrPoint End If If IsNull(arrPoint) Then Exit Sub strObject = Rhino.LastObject'not picking the next created add point If Not IsNull(strObject) Then Call Rhino.ObjectName(strObject, CStr(nValue)) arrPoint = Rhino.PointCoordinates(strObject) arrPlane = Rhino.MovePlane(Rhino.WorldXYPlane, arrPoint) Call Rhino.AddText(CStr(nValue), arrPlane, 300.0, "Arial", 0, 2) 'arrPoint1 = Rhino.AddPoint(0, 0, 0)Don't know how to create points for translation Vector in Rhinoscript 'arrPoint2 = Rhino.AddPoint(100, 100, 0) arrTranslation = Rhino.VectorCreate(arrPoint1, arrPoint2) 'Rhino.MoveObjects(strObject, arrTranslation)not working..? nValue = nValue + 1 Else bContinue = False End If Wend End Sub